Hello Alberto,

We changed some stuffs in the 2.7.x build system to deal with the use of different libraries versions specially for 64bit platforms. I don't see any issue removing -rpath for debian packages.

Thanks

Breno 


On Mon, Jul 1, 2013 at 1:24 PM, Alberto Gonzalez Iniesta <agi@inittab.org> wrote:
On Sat, Jun 29, 2013 at 08:01:43PM +0200, Alberto Gonzalez Iniesta wrote:
> On Sat, Jun 29, 2013 at 04:57:09PM +0000, Ryan Barnett wrote:
> > Anyone know when there will be a ModSecurity v2.7.x package for Debian?
> >
>
> Probably next week, in sid (unstable), and a couple of weeks later (due
> to Debian rules) in Wheezy backports. If nothing keeps me from doing it
> (as it has been happening lately).
>

I'm preparing the 2.7.4 package for Debian and got the following error
from lintian[1]:
E: libapache2-modsecurity: binary-or-shlib-defines-rpath
usr/lib/apache2/modules/mod_security2.so /-lpcre

This wiki page [2] explains why lintian/Debian consider this bad.

Previous modsecurity versions did not have this issue. I may remove the
rpath from the library or hack the libtool script to avoid it, but
before doing it I was wondering if this change is due to some
requirement or if changing this would break modsecurity in some way.

Thanks,

Alberto


[1] Lintian checks Debian packages for bugs and Debian polity
violations.
[2] http://wiki.debian.org/RpathIssue

--
Alberto Gonzalez Iniesta    | Formación, consultoría y soporte técnico
agi@(inittab.org|debian.org)| en GNU/Linux y software libre
Encrypted mail preferred    | http://inittab.com

Key fingerprint = 5347 CBD8 3E30 A9EB 4D7D  4BF2 009B 3375 6B9A AA55

------------------------------------------------------------------------------
This SF.net email is sponsored by Windows:

Build for Windows Store.

http://p.sf.net/sfu/windows-dev2dev
_______________________________________________
mod-security-packagers mailing list
mod-security-packagers@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/mod-security-packagers